pypy-pkg-resources_36.2.7-2_all.deb


Advertisement

Description

pypy-pkg-resources - Package Discovery and Resource Access using pkg_resources

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name pypy-pkg-resources
Package version 36.2.7
Package release 2
Package architecture all
Package type deb
Installed size 516 B
Download size 96.34 KB
Official Mirror archive.ubuntu.com
The pkg_resources module provides an API for Python libraries to
access their resource files, and for extensible applications and
frameworks to automatically discover plugins.  It also provides
runtime support for using C extensions that are inside zipfile-format
eggs, support for merging packages that have separately-distributed
modules or subpackages, and APIs for managing Python's current
"working set" of active packages.

Alternatives

Package Version Architecture Repository
pypy-pkg-resources_36.2.7-2_all.deb 36.2.7 all Ubuntu Universe
pypy-pkg-resources_20.10.1-1.1~bpo8+1~nd90+1+nd17.04+1+nd17.10+1_all.deb 20.10.1 all NeuroDebian Main
pypy-pkg-resources_20.10.1-1.1~bpo8+1~nd90+1+nd17.04+1+nd17.10+1_all.deb 20.10.1 all NeuroDebian Main
pypy-pkg-resources - - -

Requires

Name Value
pypy -

Download

Type URL
Binary Package pypy-pkg-resources_36.2.7-2_all.deb
Source Package python-setuptools

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pypy-pkg-resources deb package:
    # sudo apt-get install pypy-pkg-resources

Files

Path
/usr/lib/pypy/dist-packages/pkg_resources/__init__.py
/usr/lib/pypy/dist-packages/pkg_resources/py31compat.py
/usr/lib/pypy/dist-packages/pkg_resources/_vendor/__init__.py
/usr/lib/pypy/dist-packages/pkg_resources/_vendor/appdirs.py
/usr/lib/pypy/dist-packages/pkg_resources/_vendor/pyparsing.py
/usr/lib/pypy/dist-packages/pkg_resources/_vendor/six.py
/usr/lib/pypy/dist-packages/pkg_resources/_vendor/packaging/__about__.py
/usr/lib/pypy/dist-packages/pkg_resources/_vendor/packaging/__init__.py
/usr/lib/pypy/dist-packages/pkg_resources/_vendor/packaging/_compat.py
/usr/lib/pypy/dist-packages/pkg_resources/_vendor/packaging/_structures.py
/usr/lib/pypy/dist-packages/pkg_resources/_vendor/packaging/markers.py
/usr/lib/pypy/dist-packages/pkg_resources/_vendor/packaging/requirements.py
/usr/lib/pypy/dist-packages/pkg_resources/_vendor/packaging/specifiers.py
/usr/lib/pypy/dist-packages/pkg_resources/_vendor/packaging/utils.py
/usr/lib/pypy/dist-packages/pkg_resources/_vendor/packaging/version.py
/usr/lib/pypy/dist-packages/pkg_resources/extern/__init__.py
/usr/share/doc/pypy-pkg-resources/changelog.Debian.gz
/usr/share/doc/pypy-pkg-resources/copyright

Changelog

2017-08-05 - Matthias Klose <doko@debian.org>
python-setuptools (36.2.7-2) unstable; urgency=medium
* Add d/patches/fix-invalid-escapes.diff to prevent warnings from appearing
on stderr and causing autopkgtests to fail (Michael Hudson-Doyle).
2017-08-04 - Matthias Klose <doko@debian.org>
python-setuptools (36.2.7-1) unstable; urgency=medium
* New upstream version.
2017-06-20 - Matthias Klose <doko@debian.org>
python-setuptools (36.0.1-1) unstable; urgency=medium
* New upstream version.
* Generate entry points for 3.6.
2017-01-19 - Matthias Klose <doko@debian.org>
python-setuptools (33.1.1-1) unstable; urgency=medium
* New upstream version.
* Generate sorted requires.txt files. Closes: #804249.
2017-01-09 - Matthias Klose <doko@debian.org>
python-setuptools (32.3.1-1) unstable; urgency=medium
* New upstream version.
2016-12-15 - Matthias Klose <doko@debian.org>
python-setuptools (32.0.0-1) unstable; urgency=medium
* New upstream version.
* Generate reproducible install_files.txt (Chris Lamb). Closes: #848136.
2016-11-02 - Matthias Klose <doko@debian.org>
python-setuptools (28.7.1-1) unstable; urgency=medium
* New upstream version.
2016-09-28 - Matthias Klose <doko@debian.org>
python-setuptools (28.0.0-1) unstable; urgency=medium
* New upstream version.
2016-09-10 - Matthias Klose <doko@debian.org>
python-setuptools (27.1.2-1) unstable; urgency=medium
* New upstream version.
2016-08-30 - Matthias Klose <doko@debian.org>
python-setuptools (26.1.1-1) unstable; urgency=medium
* New upstream version.

See Also

Package Description
pypy-pretend_1.0.8-2_all.deb Python library for stubbing (PyPy)
pypy-purl_1.3.1-1_all.deb URL interrogation and manipulation (PyPy version)
pypy-py_1.4.34-2ubuntu1_all.deb Advanced Python development support library (PyPy)
pypy-pyasn1_0.1.9-2_all.deb ASN.1 library for Python (PyPy module)
pypy-pyparsing_2.1.10+dfsg1-1_all.deb Python parsing module, Python3 package
pypy-pytest_3.1.3-1ubuntu1_all.deb Simple, powerful testing in PyPy
pypy-rply_0.7.4-3_all.deb pure Python based parser that also works with RPython (PyPy)
pypy-schema_0.6.6-2_all.deb simple data validation library (PyPy)
pypy-setuptools-scm_1.15.6-1_all.deb blessed package to manage your versions by scm tags for PyPy
pypy-setuptools_36.2.7-2_all.deb PyPy Distutils Enhancements
pypy-simplejson_3.11.1-1build1_all.deb simple, fast, extensible JSON encoder/decoder for Python - PyPy
pypy-six_1.10.0-4_all.deb Python 2 and 3 compatibility library (PyPy interface)
pypy-sqlparse_0.2.2-1_all.deb non-validating SQL parser for PyPy
pypy-tk_5.8.0+dfsg-2_i386.deb Tkinter module for PyPy (an alternative Python interpreter)
pypy-unidecode_0.04.19-1_all.deb ASCII transliterations of Unicode text (PyPy module)
Advertisement
Advertisement